Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.exception
Class JooneRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.joone.exception.JooneRuntimeException

All Implemented Interfaces:
  java.io.Serializable

    public class JooneRuntimeException

extends java.lang.RuntimeException

This is a wrapper class for the `Exception` thrown by the application.

Author:
  tsmets
See Also:
  `Exception`, Serialized Form

Constructor Summary
`JooneRuntimeException(java.lang.String aMessage)` Constructor for JooneRuntimeException.
`JooneRuntimeException(java.lang.String aMessage, java.lang.Throwable anInitialException)` Constructor for JooneRunTimeException.
`JooneRuntimeException(java.lang.Throwable anInitialException)` Constructor for JooneRunTimeException.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JooneRuntimeException

    public JooneRuntimeException(java.lang.String aMessage)

  Constructor for JooneRuntimeException.

  Parameters:
    `aMessage` - to be displayed.

### JooneRuntimeException

    public JooneRuntimeException(java.lang.Throwable anInitialException)

  Constructor for JooneRunTimeException.

  Parameters:
    `anInitialException` - When applying the Original Exception that was thrown.

### JooneRuntimeException

    public JooneRuntimeException(java.lang.String aMessage,
                                 java.lang.Throwable anInitialException)

  Constructor for JooneRunTimeException.

  Parameters:
    `aMessage` - The message explaining the origin of the Exception
    `anInitialException` - When applying the Original Exception that was thrown.

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`
  See Also:
    `Throwable.getLocalizedMessage()`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  See Also:
    `Throwable.getMessage()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net